---
layout: post
title:  "2017 roundup part 1: Thes gem"
slug: thes-gem
date:   2018-01-16 07:00:00 +0000
categories: ruby gems foss
---

When writing, I often need to refer to a thesaurus. But I find visiting the best online option, [www.thesaurus.com](http://www.thesaurus.com), to be an unpleasant and distracting experience.

So I decided to write a tool to improve matters. It's called `thes` and while it's a very simple utility, it's also one that I've found consistently useful and time-saving over the last few months.

The idea is simple: simply enter `thes <some search term>`, and the gem will search [www.thesaurus.com](http://www.thesaurus.com) and print the results straight back to the console in table format. Think of it as a command-line thesaurus client, with no bandwidth-wasting JavaScript, assets and adverts or annoyingly colourful design!

Here's an example of entering `thes incredible`:

![Thes](/assets/images/thes.png)

Thes is available as a gem:

```bash
gem install thes
```

or, alternatively, on GitHub:
[https://github.com/rfwatson/thes](https://github.com/rfwatson/thes)
